#ifndef _GENECODE_H_
#define _GENECODE_H_

struct transl_table {
  const char* a;
  const char* b;
};

const int transl_table_size = 24;

static transl_table genetic_code[][65] = {
  { // transl_table 0: none
    {NULL, NULL}  },
  { // transl_table 1: the standard code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "*"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 2: Vertebrate Mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "W"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "M"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "*"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "*"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 3: Yeast Mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "W"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "T"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "T"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "T"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "T"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "M"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 4: Mold, Protozoan, and Coelenterate Mitochondrial Code and the Mycoplasma/Spiroplasma Code 
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "W"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 5: Invertebrate Mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "W"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "M"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "S"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "S"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 6: Ciliate, Dasycladacean and Hexamita Nuclear Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "Q"}, {"TGA", "*"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "Q"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 7: Deleted
    {NULL, NULL}  },
  { // transl_table 8: Deleted
    {NULL, NULL}  },
  { // transl_table 9: Echinoderm and Flatworm Mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "W"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "N"}, {"AGA", "S"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "S"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  }
,
  { // transl_table 10: Euplotid Nuclear Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "C"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 11: Bacterial, Archaeal and Plant Plastid Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "*"}, 
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"}, 

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"}, 
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"}, 
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"}, 

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"}, 
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"}, 
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"}, 

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"}, 
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"}, 
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"}, 
    {NULL, NULL}
  },
  { // transl_table 12: Alternative Yeast Nuclear Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "*"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "S"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 13: Ascidian Mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "W"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "M"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "G"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "G"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 14: Alternative Flatworm Mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "Y"}, {"TGA", "W"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "N"}, {"AGA", "S"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "S"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 15: Blepharisma Nuclear Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "*"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "Q"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 16: Chlorophycean Mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "*"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "L"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 17: Reserved
    {NULL, NULL}  },
  { // transl_table 18: Reserved
    {NULL, NULL}  },
  { // transl_table 19: Reserved
    {NULL, NULL}  },
  { // transl_table 20: Reserved 
    {NULL, NULL}  },
  { // transl_table 21: Trematode Mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "W"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "M"}, {"ACA", "T"}, {"AAA", "N"}, {"AGA", "S"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "S"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 22: Scenedesmus obliquus mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "L"}, {"TCA", "*"}, {"TAA", "*"}, {"TGA", "*"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "L"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  },
  { // transl_table 23: Thraustochytrium Mitochondrial Code
    {"TTT", "F"}, {"TCT", "S"}, {"TAT", "Y"}, {"TGT", "C"},
    {"TTC", "F"}, {"TCC", "S"}, {"TAC", "Y"}, {"TGC", "C"},
    {"TTA", "*"}, {"TCA", "S"}, {"TAA", "*"}, {"TGA", "*"},
    {"TTG", "L"}, {"TCG", "S"}, {"TAG", "*"}, {"TGG", "W"},

    {"CTT", "L"}, {"CCT", "P"}, {"CAT", "H"}, {"CGT", "R"},
    {"CTC", "L"}, {"CCC", "P"}, {"CAC", "H"}, {"CGC", "R"},
    {"CTA", "L"}, {"CCA", "P"}, {"CAA", "Q"}, {"CGA", "R"},
    {"CTG", "L"}, {"CCG", "P"}, {"CAG", "Q"}, {"CGG", "R"},

    {"ATT", "I"}, {"ACT", "T"}, {"AAT", "N"}, {"AGT", "S"},
    {"ATC", "I"}, {"ACC", "T"}, {"AAC", "N"}, {"AGC", "S"},
    {"ATA", "I"}, {"ACA", "T"}, {"AAA", "K"}, {"AGA", "R"},
    {"ATG", "M"}, {"ACG", "T"}, {"AAG", "K"}, {"AGG", "R"},

    {"GTT", "V"}, {"GCT", "A"}, {"GAT", "D"}, {"GGT", "G"},
    {"GTC", "V"}, {"GCC", "A"}, {"GAC", "D"}, {"GGC", "G"},
    {"GTA", "V"}, {"GCA", "A"}, {"GAA", "E"}, {"GGA", "G"},
    {"GTG", "V"}, {"GCG", "A"}, {"GAG", "E"}, {"GGG", "G"},
    {NULL, NULL}
  }
};

#endif
