// random pattern test

using namespace std;
#include <iostream>
#include <stdlib.h>
#include <vector>
#include <sstream>

#include <glib.h>
#include <glib/gstdio.h>

#if defined (__FreeBSD__)  || (__APPLE__)
# include <sys/types.h>
# include <sys/sysctl.h>
#endif

#if defined (__linux__)
# include <unistd.h>
#endif

// ----------------------------------------------------------------------
// number to string conversion

string itos(int i){
  ostringstream os;
  os << i;
  return os.str();
}

// ----------------------------------------------------------------------
// compare two files' timestamps

bool check_timestamp(const string
& older, const string& newer){
  struct stat stat_old, stat_new;

  bool time_is_ok = false;

  if( g_stat(older.c_str(), &stat_old) == 0 &&
      g_stat(newer.c_str(), &stat_new) == 0 ){
#if defined (__FreeBSD__) || defined (__APPLE__)
    time_is_ok = ( stat_old.st_mtimespec.tv_sec <=
                   stat_new.st_mtimespec.tv_sec );
#else
    time_is_ok = ( stat_old.st_mtime <= stat_new.st_mtime );
#endif
  }

  return time_is_ok;
}

// ----------------------------------------------------------------------
// weight:length style random pattern

string randpat(unsigned weight, unsigned len){
  vector<int> a(len);
  for(unsigned i=0; i<len; i++) a[i]=1;

  // need random # of 1 to (len-1)
  GRand* rng = g_rand_new();
  
  unsigned zerocnt=0;
  while(zerocnt < len-weight){
    unsigned index=g_rand_int(rng)%(len-2)+1;
    if(a[index]==1){ a[index]=0; zerocnt++; }
  }

  string s = "";
  for(unsigned i=0; i<len; i++) s += ( a[i]==0 ? "0" : "1" );

  g_rand_free(rng);

  return s;
}

/*
int main(){
  int weight, len;
  cin >> weight >> len;

  cout << randpat(weight, len) << endl;
}
*/
